Create image

Create image

post

Create an image from a prompt.

Authorizations
AuthorizationstringRequired

Your ShortGenius API token

Body

Parameters required to generate an image.

promptstringRequired

The prompt to generate the image from.

aspect_ratiostring · enumRequired

The aspect ratio of the image.

Possible values:
image_style_idstring · nullableOptional

The ID of the image style to use. Use the List image styles endpoint to get a list of available image styles.

scene_idstring · nullableOptional

If you want to add the generated image to a video scene you can specify it here.

wait_for_generationbooleanOptional

If false, this endpoint immediately returns the incomplete image record, and you can poll the Get image endpoint until the task completes. If true, this endpoint waits until the image generation completes, then returns the complete image record. Defaults to false.

Default: false
modelstringOptional
qualitystring · enumOptionalDefault: highPossible values:
source_media_idstring · nullableOptional

The ID of the media to use as a source for the image.

associated_product_idstring · nullableOptional

The ID of the product to associate this image with.

Responses
chevron-right
200

Successful response

application/json

The newly created image record.

idstring · uuidRequired
urlstring · nullableRequired
associatedProductIdstring · nullableOptional
typestring · enumRequiredPossible values:
statestring · enumRequiredPossible values:
created_atstringRequired

Date and time (ISO 8601) when the media was created.

updated_atstring · nullableOptional

Date and time (ISO 8601) when the media was last updated.

promptstringRequired
is_nsfwbooleanRequired
aspect_ratiostring · enumRequired

Aspect ratio of the generated image.

Default: 9:16Possible values:
image_style_idstring · nullableOptional
post
/images

Last updated